# KDChartValueTrackerAttributes.h File Reference

`#include <QDebug>`
`#include <QMetaType>`
`#include "KDChartGlobal.h"`

Include dependency graph for KDChartValueTrackerAttributes.h:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces

namespace | KDChart

## Classes

class | KDChart::ValueTrackerAttributes
| Cell-specific attributes regarding value tracking. More...

## Functions

KDCHART_EXPORT QDebug | operator<< (QDebug, const KDChart::ValueTrackerAttributes &)
| Q_DECLARE_TYPEINFO (KDChart::ValueTrackerAttributes, Q_MOVABLE_TYPE)

## Function Documentation

KDCHART_EXPORT QDebug operator<< | ( | QDebug | ,
|  | const KDChart::ValueTrackerAttributes & |  |
| ) |  |  |

Definition at line 133 of file KDChartValueTrackerAttributes.cpp.

References KDChart::ValueTrackerAttributes::isEnabled(), KDChart::ValueTrackerAttributes::markerSize(), and KDChart::ValueTrackerAttributes::pen().

    00134 {
    00135     dbg << "KDChart::ValueTrackerAttributes("
    00136             << "pen="<<va.pen()
    00137             << "markerSize="<<va.markerSize()
    00138             << "enabled="<<va.isEnabled()
    00139             << ")";
    00140     return dbg;
    00141 }

Q_DECLARE_TYPEINFO | ( | KDChart::ValueTrackerAttributes | ,
|  | Q_MOVABLE_TYPE |  |
| ) |  |  |